If your organization hosts your NetCommunity or Raiser's Edge Product(s):
  1. Confirm your products meet TLS requirements per our documentation at www.blackbaud.com/tls. All requirements must be met by March 15, 2018. 
  2. Confirm your network is able to connect to Blackbaud Payments per our documentation here